# animcursors.h File Reference

This file defines all the the animated cursors. More...

Go to the source code of this file.

## Defines
#define | ANIM_CURSOR_LINE(Sprite, display_time) { Sprite, display_time },
| Creates two array entries that define one status of the cursor.
#define | ANIM_CURSOR_END() ANIM_CURSOR_LINE(AnimCursor::LAST, 0)
| This indicates the termination of the cursor list.
## Variables
static const AnimCursor | _demolish_animcursor []
| Animated cursor elements for demolishion.
static const AnimCursor | _lower_land_animcursor []
| Animated cursor elements for lower land.
static const AnimCursor | _raise_land_animcursor []
| Animated cursor elements for raise land.
static const AnimCursor | _order_goto_animcursor []
| Animated cursor elements for the goto icon.
static const AnimCursor | _build_signals_animcursor []
| Animated cursor elements for the build signal icon.
static const AnimCursor *const | _animcursors []
| This is an array of pointers to all the animated cursor definitions we have above.

## Detailed Description

This file defines all the the animated cursors.

Animated cursors consist of the number of sprites that are displayed in a round-robin manner. Each sprite also has a time associated that indicates how many ticks the corresponding sprite is to be displayed.

Definition in file animcursors.h.

## Define Documentation

#define ANIM_CURSOR_LINE | ( | Sprite,
|  | display_time |  | ) | { Sprite, display_time },

Creates two array entries that define one status of the cursor.

Parameters:

  | Sprite | The Sprite to be displayed
  | display_time | The Number of ticks to display the sprite

Definition at line 16 of file animcursors.h.

## Variable Documentation

const AnimCursor* const _animcursors[]`[static]`

Initial value:

     {
      _demolish_animcursor,
      _lower_land_animcursor,
      _raise_land_animcursor,
      _order_goto_animcursor,
      _build_signals_animcursor
    }

This is an array of pointers to all the animated cursor definitions we have above.

This is the only thing that is accessed directly from other files

Definition at line 71 of file animcursors.h.

const AnimCursor _build_signals_animcursor[]`[static]`

Initial value:

     {

    }

Animated cursor elements for the build signal icon.

Definition at line 61 of file animcursors.h.

const AnimCursor _demolish_animcursor[]`[static]`

Initial value:

     {

    }

Animated cursor elements for demolishion.

Definition at line 24 of file animcursors.h.

const AnimCursor _lower_land_animcursor[]`[static]`

Initial value:

     {

    }

Animated cursor elements for lower land.

Definition at line 34 of file animcursors.h.

const AnimCursor _order_goto_animcursor[]`[static]`

Initial value:

     {

    }

Animated cursor elements for the goto icon.

Definition at line 52 of file animcursors.h.

const AnimCursor _raise_land_animcursor[]`[static]`

Initial value:

     {

    }

Animated cursor elements for raise land.

Definition at line 43 of file animcursors.h.